POST /automations
Create a straight-line automation: a trigger and up to 30 send and wait steps. Build branches and conditions in the dashboard.
| Field | Type | Description | |
|---|---|---|---|
name | string | required | Name. |
trigger | object | required | { "event": "user.created" } or { "segment_id": "…" }. |
steps | object[] | required | { "type": "send", "template_id": "alias" } or { "type": "wait", "amount": 2, "unit": "days" }. Units: minutes, hours, days, weeks. |
reentry | string | once or always. | |
publish | boolean | Publish right away. |